Page MenuHomePhabricator

Deploy & test WikibaseCirrusSearch on beta cluster
Closed, ResolvedPublic

Description

Before enabling WikibaseCirrusSearch in production, we should test in on Beta cluster.

Stages:

  • Deploy extension disabled & unloaded
  • Load on wikidata@beta
  • Load on commons@beta
  • Switch configs on to enable searches to go to WikibaseCirrusSearch codebase

Event Timeline

Smalyshev triaged this task as Normal priority.Feb 9 2019, 2:02 AM
Smalyshev created this task.
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptFeb 9 2019, 2:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 489362 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/tools/release@master] Add WikibaseCirrusSearch extension

https://gerrit.wikimedia.org/r/489362

Change 489598 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Enable WikibaseCirrusSearch on testwikidata

https://gerrit.wikimedia.org/r/489598

Change 489362 merged by jenkins-bot:
[mediawiki/tools/release@master] Add WikibaseCirrusSearch extension

https://gerrit.wikimedia.org/r/489362

Change 490648 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Enable WikibaseCirrusSearch on wikidata

https://gerrit.wikimedia.org/r/490648

Change 490649 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Enable WikibaseCirrusSearch on Commons

https://gerrit.wikimedia.org/r/490649

Smalyshev moved this task from Backlog to In review on the User-Smalyshev board.Feb 19 2019, 7:12 AM
Smalyshev moved this task from In review to Waiting/Blocked on the User-Smalyshev board.

The repository seems to be checked out properly in 1.33.0-wmf.18 (not enabled, so nothing interesting actually is happening yet).

Deployed on Beta (http://wikidata.beta.wmflabs.org) in disabled state, if nothing breaks will continue on to Beta Commons & testwikidata.

Smalyshev updated the task description. (Show Details)Feb 27 2019, 7:28 PM

Change 493320 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Add config for switching Wikibase search to WikibaseCirrusSearch codebase

https://gerrit.wikimedia.org/r/493320

Change 493321 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[operations/mediawiki-config@master] Enable WikibaseCirrusSearch on Beta Cluster

https://gerrit.wikimedia.org/r/493321

Change 493320 merged by jenkins-bot:
[operations/mediawiki-config@master] Add config for switching Wikibase search to WikibaseCirrusSearch codebase

https://gerrit.wikimedia.org/r/493320

Mentioned in SAL (#wikimedia-operations) [2019-02-28T00:07:17Z] <ebernhardson@deploy1001> Synchronized wmf-config/: T215684 Add config for switching Wikibase search to WikibaseCirrusSearch codebase (duration: 00m 55s)

Change 493321 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WikibaseCirrusSearch on Beta Cluster

https://gerrit.wikimedia.org/r/493321

Mentioned in SAL (#wikimedia-operations) [2019-02-28T19:26:20Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: SWAT: [[gerrit:493321|Enable WikibaseCirrusSearch on Beta Cluster]] (beta only change/noop sync) T215684 (duration: 00m 55s)

Smalyshev updated the task description. (Show Details)Mar 1 2019, 7:24 AM

Seems to work just fine on beta cluster.

Smalyshev moved this task from In review to Done on the User-Smalyshev board.
debt closed this task as Resolved.Mar 8 2019, 6:00 PM

Change 490648 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WikibaseCirrusSearch on wikidata

https://gerrit.wikimedia.org/r/490648

Change 497948 had a related patch set uploaded (by Smalyshev; owner: Jforrester):
[operations/mediawiki-config@master] Enable WikibaseCirrusSearch on Commons

https://gerrit.wikimedia.org/r/497948

Change 497948 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable WikibaseCirrusSearch on Commons

https://gerrit.wikimedia.org/r/497948

Change 490649 abandoned by Jforrester:
Enable WikibaseCirrusSearch on Commons

Reason:
Not used.

https://gerrit.wikimedia.org/r/490649